PostgreSQL 8.4.10 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# ALTER LANGUAGE

## Name

ALTER LANGUAGE -- change the definition of a procedural language

## Synopsis

    ALTER [ PROCEDURAL ] LANGUAGE name RENAME TO newname
    ALTER [ PROCEDURAL ] LANGUAGE name OWNER TO new_owner

## Description

`ALTER LANGUAGE` changes the definition of a procedural language. The only functionality is to rename the language or assign a new owner. You must be superuser or owner of the language to use `ALTER LANGUAGE`.

## Parameters

`name`

  Name of a language

`newname`

  The new name of the language

`new_owner`

  The new owner of the language

## Compatibility

There is no `ALTER LANGUAGE` statement in the SQL standard.

## See Also

CREATE LANGUAGE, DROP LANGUAGE

Prev | Home | Next
ALTER INDEX | Up | ALTER OPERATOR